\begin{tabular}{|c|c|c|c|c|c|}
\hline 
Action &  & Current path & Parent path & Children path & Data path\tabularnewline
\hline 
\hline 
create &  & x & x & x & \tabularnewline
\hline 
delete &  & x & x & x & \tabularnewline
\hline 
setData &  &  &  &  & x\tabularnewline
\hline 
\end{tabular}
